use tauri_sys::Error;
use tauri_sys::core::invoke;
use crate::types::*;

#[derive(serde::Serialize)]
pub struct Swap {
	store: Store,
	acc: i64,
}
pub async fn swap(store: Store, acc: i64) -> Result<(), Error> {
	let args = Swap { store, acc };
	invoke("swap", &args).await
}
